package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EnterpriseApply;

/**
 * 企业信息审核Service接口
 * 
 * @author ruoyi
 * @date 2023-02-20
 */
public interface IEnterpriseApplyService 
{
    /**
     * 查询企业信息审核
     * 
     * @param id 企业信息审核主键
     * @return 企业信息审核
     */
    public EnterpriseApply selectEnterpriseApplyById(Long id);

    /**
     * 查询企业信息审核列表
     * 
     * @param enterpriseApply 企业信息审核
     * @return 企业信息审核集合
     */
    public List<EnterpriseApply> selectEnterpriseApplyList(EnterpriseApply enterpriseApply);

    /**
     * 新增企业信息审核
     * 
     * @param enterpriseApply 企业信息审核
     * @return 结果
     */
    public int insertEnterpriseApply(EnterpriseApply enterpriseApply);

    /**
     * 修改企业信息审核
     * 
     * @param enterpriseApply 企业信息审核
     * @return 结果
     */
    public int updateEnterpriseApply(EnterpriseApply enterpriseApply);

    /**
     * 批量删除企业信息审核
     * 
     * @param ids 需要删除的企业信息审核主键集合
     * @return 结果
     */
    public int deleteEnterpriseApplyByIds(Long[] ids);

    /**
     * 删除企业信息审核信息
     * 
     * @param id 企业信息审核主键
     * @return 结果
     */
    public int deleteEnterpriseApplyById(Long id);

    int edit(EnterpriseApply enterpriseApply);
}
